Bug 113809 - depmod is not run for kernel-2.4.21-9.EL from Quaterly Update #1
depmod is not run for kernel-2.4.21-9.EL from Quaterly Update #1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ernie Petrides
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-18 12:33 EST by Bernd Bartmann
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2004-01-18 12:33:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
After installing kernel-2.4.21-9.EL.i686.rpm and
kernel-unsupported-2.4.21-9.EL.i686.rpm from RHES3 Quarterly Update #1
I  rebooted my system and noticed that the HiSax ISDN driver could not
be found during system startup. Manually running depmod -a and
rebooting fixed the problem.

So it seems to me that when rc.sysinit runs depmod it ignores the
modules from the unsupported subdir.

The postinstall script from kernel-unsupported-2.4.21-9.EL runs depmod
-ae but without specifying the kernel version. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. update to kernel-(unsupported)-2.4.21-9.EL
2.
3.
    

Additional info:
Comment 2 David Juran 2004-02-26 04:24:51 EST
The problem is that the kernel-unsupported package runs depmod for the
worng kernel, i.e. the one that is running while the package is
installed. And depmod in  /etc/rc.d/rc.sysinit won't do any good since
it uses the -A flag and the timestanps for the modules will be as they
were in the rpm, i.e. quite old.
To remedy  this problem, the %post script of the kernel-unsupported
(and kernel-smp-usupported) packages should be modified to do depmod
for the version being installed.
Comment 3 Ernie Petrides 2004-03-08 19:46:01 EST
Thank you for such a clear bug report and analysis.  A fix for this
problem has just been committed to the RHEL3 U2 patch pool, and it
will first be available (internally at Red Hat) in kernel version
2.4.21-11.EL.
Comment 4 John Flanagan 2004-05-11 21:08:21 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.